METALINK_PIECE_HASH_T(3)

NAME
metalink_piece_hash_t - The structure that holds hash value of a piece.

SYNOPSIS
#include <metalink/metalink_types.h>

DESCRIPTION
metalink_piece_hash_t is a structure that holds a hash value of a piece.

STRUCTURE MEMBERS
int piece;
char *hash;

  type
Index of a piece starting 0.

  hash
Null terminated string of a hash value in ASCII hexadecimal notation.

SEE ALSO
metalink_parse_file(3),